# MultipartRequestCallFactory - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.Ktor.base / MultipartRequestCallFactory

# MultipartRequestCallFactory

(common) `class MultipartRequestCallFactory : AbstractRequestCallFactory` (source)

### Constructors

(common)

#### <init>

`MultipartRequestCallFactory()`

### Functions

(common)

#### prepareCallBody

`fun <T : Any> prepareCallBody(client: HttpClient, baseUrl: String, request: Request<T>): Any?`